# Uses of Class
org.springframework.web.method.ControllerAdviceBean

Packages that use ControllerAdviceBean
Package
Description
org.springframework.web.method
Common infrastructure for handler method processing, as used by Spring MVC's `org.springframework.web.servlet.mvc.method` package.

## Uses of ControllerAdviceBean in org.springframework.web.method

Methods in org.springframework.web.method that return types with arguments of type ControllerAdviceBean
Modifier and Type
Method
Description
`static List<ControllerAdviceBean>`
ControllerAdviceBean.`findAnnotatedBeans(org.springframework.context.ApplicationContext context)`
Find beans annotated with `@ControllerAdvice` in the given `ApplicationContext` and wrap them as `ControllerAdviceBean` instances.